apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: tobru-ch
  name: isso
  namespace: tobru-ch
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      component: isso
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        component: isso
    spec:
      containers:
      - image: angristan/isso:0.12.2
        imagePullPolicy: IfNotPresent
        name: isso
        ports:
        - containerPort: 8080
          name: isso
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - name: data
          mountPath: /isso
          subPath: isso
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: data
        persistentVolumeClaim:
          claimName: data
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: tobru-ch
  name: isso
  namespace: tobru-ch
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    component: isso
  sessionAffinity: None
  type: ClusterIP
